Path parameters
marketIdstringpathrequiredEngine market id (read endpoints do not accept a slug unless that endpoint says otherwise)
Query parameters
depthintegerqueryoptionalNumber of levels returned
minCursorstringqueryoptionalRead-your-writes continuation point (pass the cursor from the 202 place-order response verbatim). While the projection has not caught up this query returns 404, indistinguishable from "the resource does not exist" — poll with the same cursor.
Response
200Order book snapshotmarketstringMarket id
yesBidsobject(DepthLevel)[]YES bid levels, best price first
priceE4integerPrice level (1e-4 USD)
sizeE2int64Resting size at that level (1e-2 shares)
yesAsksobject(DepthLevel)[]YES ask levels
priceE4integerPrice level (1e-4 USD)
sizeE2int64Resting size at that level (1e-2 shares)
Switch status codes in the response example to view errors. For all codes, see the Errors page.
